#!/bin/bash

read -p $'\e[32mDo you want to create a branch, pull files or push files?[branch/pull/push] \e[0m' which_command

if [ "$which_command" == "branch" ]
	then
		read -p $'\e[32mPlease insert a Branch name: \e[0m' branch_name

		read -p $'\e[32mIs this branch name correct?[y/n] \e[0m' correct

		if [ "$correct" == "y" ]
			then
				git checkout -b $branch_name
				git push origin $branch_name
			elif [ "$correct" == "n" ]
				then
					read -p $'\e[36mPlease insert correct Branch name: \e[0m' branch_name
	        			git checkout -b $branch_name
					git push origin $branch_name
			else
				echo $'\e[31mWrong input! Please type y (yes) or n (no) \e[0m'
		fi
	elif [ "$which_command" == "pull" ]
		then
			read -p $'\e[32mPlease insert the Git-Repository address: \e[0m' git_link

			read -p $'\e[32mIs this address correct?[y/n] \e[0m' correct

			if [ "$correct" == "y" ]
				then
					read -p $'\e[32mWhat is the branch name? \e[0m' branch_name

					read -p $'\e[32mIs this branch name correct?[y/n] \e[0m' correct_branch

					if [ "$correct_branch" == "y" ]
						then
							git pull $git_link $branch_name
						elif [ "$correct_branch" == "n" ]
							then
								read -p $'\e[36mPlease insert correct branch name \e[0m' branch_name
								git pull $git_link $branch_name
						else
							echo $'\e[31mWrong input! Please type y (yes) or n (no) \e[0m'
					fi
				elif [ "$correct" == "n" ]
					then
						echo $'\e[31mTry executing this Script again! \e[0m'
				else
					echo $'\e[31mWrong input! Please type y (yes) or n (no) \e[0m'
			fi
	elif [ "$which_command" == "push" ]
		then
			echo "Adding changed files to the index"

			git add .

			read -p $'\e[32mPlease insert a comment for this commit:\e[0m ' comment_commit

			read -p $'\e[32mIs this comment correct?[y/n]\e[0m ' correct

			if [ "$correct" == "y" ]
				then
					git commit -m "$comment_commit"
	
					read -p $'\e[32mWhat is the branch name? \e[0m' branch_name

					read -p $'\e[32mIs this branch name correct?[y/n] \e[0m' correct_branch

					if [ "$correct_branch" == "y" ]
						then
							git push origin $branch_name
						elif [ "$correct_branch" == "n" ]
							then
								read -p $'\e[36mPlease insert correct branch name \e[0m' branch_name
								git push origin $branch_name
						else
							echo $'\e[31mWrong input! Please type y (yes) or n (no) \e[0m'
					fi
				elif [ "$correct" == "n" ]
					then
						echo $'\e[31mTry executing this Script again!\e[0m'
				else
					echo $'\e[31mWrong input! Please type y (yes) or n (no) \e[0m'
			fi
fi

read -p "Press enter to continue "